import Phaser from 'phaser';
import { BasePowerUp } from './BasePowerUp';

export class SpeedPowerUp extends BasePowerUp {
  constructor(scene: Phaser.Scene, x: number, y: number) {
    super(scene, x, y, 'speed', 0xffff44); // Yellow
  }

  public applyEffect(_scene: Phaser.Scene): void {
    // Effect is handled by GameScene
  }

  public getDuration(): number {
    return 8000; // 8 seconds
  }
}
